import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  CreateReplicationSubnetGroupMessage,
  CreateReplicationSubnetGroupResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface CreateReplicationSubnetGroupCommandInput
  extends CreateReplicationSubnetGroupMessage {}
export interface CreateReplicationSubnetGroupCommandOutput
  extends CreateReplicationSubnetGroupResponse,
    __MetadataBearer {}
declare const CreateReplicationSubnetGroupCommand_base: {
  new (
    input: CreateReplicationSubnetGroupCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateReplicationSubnetGroupCommandInput,
    CreateReplicationSubnetGroupCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: CreateReplicationSubnetGroupCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateReplicationSubnetGroupCommandInput,
    CreateReplicationSubnetGroupCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class CreateReplicationSubnetGroupCommand extends CreateReplicationSubnetGroupCommand_base {
  protected static __types: {
    api: {
      input: CreateReplicationSubnetGroupMessage;
      output: CreateReplicationSubnetGroupResponse;
    };
    sdk: {
      input: CreateReplicationSubnetGroupCommandInput;
      output: CreateReplicationSubnetGroupCommandOutput;
    };
  };
}
