import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DeleteDataMigrationMessage,
  DeleteDataMigrationResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DeleteDataMigrationCommandInput
  extends DeleteDataMigrationMessage {}
export interface DeleteDataMigrationCommandOutput
  extends DeleteDataMigrationResponse,
    __MetadataBearer {}
declare const DeleteDataMigrationCommand_base: {
  new (
    input: DeleteDataMigrationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteDataMigrationCommandInput,
    DeleteDataMigrationCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DeleteDataMigrationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteDataMigrationCommandInput,
    DeleteDataMigrationCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DeleteDataMigrationCommand extends DeleteDataMigrationCommand_base {
  protected static __types: {
    api: {
      input: DeleteDataMigrationMessage;
      output: DeleteDataMigrationResponse;
    };
    sdk: {
      input: DeleteDataMigrationCommandInput;
      output: DeleteDataMigrationCommandOutput;
    };
  };
}
