import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DeleteReplicationConfigMessage,
  DeleteReplicationConfigResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DeleteReplicationConfigCommandInput
  extends DeleteReplicationConfigMessage {}
export interface DeleteReplicationConfigCommandOutput
  extends DeleteReplicationConfigResponse,
    __MetadataBearer {}
declare const DeleteReplicationConfigCommand_base: {
  new (
    input: DeleteReplicationConfigCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteReplicationConfigCommandInput,
    DeleteReplicationConfigCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DeleteReplicationConfigCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteReplicationConfigCommandInput,
    DeleteReplicationConfigCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DeleteReplicationConfigCommand extends DeleteReplicationConfigCommand_base {
  protected static __types: {
    api: {
      input: DeleteReplicationConfigMessage;
      output: DeleteReplicationConfigResponse;
    };
    sdk: {
      input: DeleteReplicationConfigCommandInput;
      output: DeleteReplicationConfigCommandOutput;
    };
  };
}
