import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DeleteReplicationTaskMessage,
  DeleteReplicationTaskResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DeleteReplicationTaskCommandInput
  extends DeleteReplicationTaskMessage {}
export interface DeleteReplicationTaskCommandOutput
  extends DeleteReplicationTaskResponse,
    __MetadataBearer {}
declare const DeleteReplicationTaskCommand_base: {
  new (
    input: DeleteReplicationTaskCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteReplicationTaskCommandInput,
    DeleteReplicationTaskCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DeleteReplicationTaskCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteReplicationTaskCommandInput,
    DeleteReplicationTaskCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DeleteReplicationTaskCommand extends DeleteReplicationTaskCommand_base {
  protected static __types: {
    api: {
      input: DeleteReplicationTaskMessage;
      output: DeleteReplicationTaskResponse;
    };
    sdk: {
      input: DeleteReplicationTaskCommandInput;
      output: DeleteReplicationTaskCommandOutput;
    };
  };
}
