import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeRefreshSchemasStatusMessage,
  DescribeRefreshSchemasStatusResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DescribeRefreshSchemasStatusCommandInput
  extends DescribeRefreshSchemasStatusMessage {}
export interface DescribeRefreshSchemasStatusCommandOutput
  extends DescribeRefreshSchemasStatusResponse,
    __MetadataBearer {}
declare const DescribeRefreshSchemasStatusCommand_base: {
  new (
    input: DescribeRefreshSchemasStatusCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeRefreshSchemasStatusCommandInput,
    DescribeRefreshSchemasStatusCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DescribeRefreshSchemasStatusCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeRefreshSchemasStatusCommandInput,
    DescribeRefreshSchemasStatusCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeRefreshSchemasStatusCommand extends DescribeRefreshSchemasStatusCommand_base {
  protected static __types: {
    api: {
      input: DescribeRefreshSchemasStatusMessage;
      output: DescribeRefreshSchemasStatusResponse;
    };
    sdk: {
      input: DescribeRefreshSchemasStatusCommandInput;
      output: DescribeRefreshSchemasStatusCommandOutput;
    };
  };
}
