import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DeleteDataProviderMessage,
  DeleteDataProviderResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DeleteDataProviderCommandInput
  extends DeleteDataProviderMessage {}
export interface DeleteDataProviderCommandOutput
  extends DeleteDataProviderResponse,
    __MetadataBearer {}
declare const DeleteDataProviderCommand_base: {
  new (
    input: DeleteDataProviderCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteDataProviderCommandInput,
    DeleteDataProviderCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DeleteDataProviderCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteDataProviderCommandInput,
    DeleteDataProviderCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DeleteDataProviderCommand extends DeleteDataProviderCommand_base {
  protected static __types: {
    api: {
      input: DeleteDataProviderMessage;
      output: DeleteDataProviderResponse;
    };
    sdk: {
      input: DeleteDataProviderCommandInput;
      output: DeleteDataProviderCommandOutput;
    };
  };
}
