import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeReplicationInstancesMessage,
  DescribeReplicationInstancesResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DescribeReplicationInstancesCommandInput
  extends DescribeReplicationInstancesMessage {}
export interface DescribeReplicationInstancesCommandOutput
  extends DescribeReplicationInstancesResponse,
    __MetadataBearer {}
declare const DescribeReplicationInstancesCommand_base: {
  new (
    input: DescribeReplicationInstancesCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeReplicationInstancesCommandInput,
    DescribeReplicationInstancesCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [DescribeReplicationInstancesCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeReplicationInstancesCommandInput,
    DescribeReplicationInstancesCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeReplicationInstancesCommand extends DescribeReplicationInstancesCommand_base {
  protected static __types: {
    api: {
      input: DescribeReplicationInstancesMessage;
      output: DescribeReplicationInstancesResponse;
    };
    sdk: {
      input: DescribeReplicationInstancesCommandInput;
      output: DescribeReplicationInstancesCommandOutput;
    };
  };
}
