import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  ModifyReplicationConfigMessage,
  ModifyReplicationConfigResponse,
} from "../models/models_1";
export { __MetadataBearer };
export { $Command };
export interface ModifyReplicationConfigCommandInput
  extends ModifyReplicationConfigMessage {}
export interface ModifyReplicationConfigCommandOutput
  extends ModifyReplicationConfigResponse,
    __MetadataBearer {}
declare const ModifyReplicationConfigCommand_base: {
  new (
    input: ModifyReplicationConfigCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ModifyReplicationConfigCommandInput,
    ModifyReplicationConfigCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: ModifyReplicationConfigCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ModifyReplicationConfigCommandInput,
    ModifyReplicationConfigCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ModifyReplicationConfigCommand extends ModifyReplicationConfigCommand_base {
  protected static __types: {
    api: {
      input: ModifyReplicationConfigMessage;
      output: ModifyReplicationConfigResponse;
    };
    sdk: {
      input: ModifyReplicationConfigCommandInput;
      output: ModifyReplicationConfigCommandOutput;
    };
  };
}
