import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  StartMetadataModelImportMessage,
  StartMetadataModelImportResponse,
} from "../models/models_1";
export { __MetadataBearer };
export { $Command };
export interface StartMetadataModelImportCommandInput
  extends StartMetadataModelImportMessage {}
export interface StartMetadataModelImportCommandOutput
  extends StartMetadataModelImportResponse,
    __MetadataBearer {}
declare const StartMetadataModelImportCommand_base: {
  new (
    input: StartMetadataModelImportCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StartMetadataModelImportCommandInput,
    StartMetadataModelImportCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: StartMetadataModelImportCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StartMetadataModelImportCommandInput,
    StartMetadataModelImportCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class StartMetadataModelImportCommand extends StartMetadataModelImportCommand_base {
  protected static __types: {
    api: {
      input: StartMetadataModelImportMessage;
      output: StartMetadataModelImportResponse;
    };
    sdk: {
      input: StartMetadataModelImportCommandInput;
      output: StartMetadataModelImportCommandOutput;
    };
  };
}
